Package io.vertx.rx.java

## Class UnmarshallerOperator<T,​B>

- java.lang.Object
- - io.vertx.rx.java.UnmarshallerOperator<T,​B>

- All Implemented Interfaces:
    `Func1<Subscriber<? super T>,​Subscriber<? super B>>`, `Function`, `Observable.Operator<T,​B>`

      public abstract class UnmarshallerOperator<T,​B>
      extends Object
      implements Observable.Operator<T,​B>

  An operator
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnmarshallerOperator​(TypeReference<T> mappedTypeRef)` |
    `UnmarshallerOperator​(TypeReference<T> mappedTypeRef, ObjectCodec mapper)` |
    `UnmarshallerOperator​(Class<T> mappedType)` |
    `UnmarshallerOperator​(Class<T> mappedType, ObjectCodec mapper)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Subscriber<? super B>` | `call​(Subscriber<? super T> subscriber)` |
    `abstract Buffer` | `unwrap​(B buffer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnmarshallerOperator

          public UnmarshallerOperator​(Class<T> mappedType)

    - #### UnmarshallerOperator

          public UnmarshallerOperator​(Class<T> mappedType,
                                      ObjectCodec mapper)

    - #### UnmarshallerOperator

          public UnmarshallerOperator​(TypeReference<T> mappedTypeRef)

    - #### UnmarshallerOperator

          public UnmarshallerOperator​(TypeReference<T> mappedTypeRef,
                                      ObjectCodec mapper)

  - ### Method Detail

    - #### unwrap

          public abstract Buffer unwrap​(B buffer)

    - #### call

          public Subscriber<? super B> call​(Subscriber<? super T> subscriber)

      Specified by:
        `call` in interface `Func1<T,​B>`